Commit 25b4361b authored by Andy Postnikov's avatar Andy Postnikov Committed by Natanael Copa
Browse files

main/putty: security upgrade to 0.73

CVE-2019-17068 CVE-2019-17069

fixes #11094

(cherry picked from commit 8d709235)
parent d41a153c
# Maintainer: Jeff Bilyk <jbilyk@alpinelinux.org>
pkgname=putty
pkgver=0.71
pkgrel=1
pkgver=0.73
pkgrel=0
pkgdesc="SSH and telnet client"
url="https://www.chiark.greenend.org.uk/~sgtatham/putty/"
arch="all"
......@@ -14,6 +14,9 @@ options="!check" # no test suite
builddir="$srcdir"/putty-$pkgver
# secfixes:
# 0.73-r0:
# - CVE-2019-17068
# - CVE-2019-17069
# 0.71-r0:
# - CVE-2019-9894
# - CVE-2019-9895
......@@ -34,5 +37,5 @@ package() {
make DESTDIR="$pkgdir" install
}
sha512sums="f8791210bd5925b26d51b13f0558eea15dbac40808051165b236d6436226f5c2b0aa7d69288ed9e2bddc1066455678cfd0af73ef6b715a136c42f3b6f754ac07 putty-0.71.tar.gz
sha512sums="4ada4b8c6d68be44afede2676bc661fedfd1ea0b574b8232ad9aaa6f3a48baa9f4f0ded2955b3f2677a14db85a508f53c965cb00fcd7538a1ed9844031f0c5e5 putty-0.73.tar.gz
b10b2332ca0592db5664311d1bba7549ded79f16f6eef13dab3caca21626d97657f31e8603766e00b1a06f42cf229107eb53929730fe48e97cfc9216093fcc4c fix-ppc64le-disable-werror.patch"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment